Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2.event
Class AgendaItemAdapter

    java.lang.Object
      ix.ip2.event.AgendaItemAdapter

All Implemented Interfaces:
  AgendaItemListener, java.util.EventListener

Direct Known Subclasses:
  ConditionHandler.ItemListener, ExpandHandler.ItemListener, QueryHandler.AnswerListener

    public class AgendaItemAdapter

extends java.lang.Object
implements AgendaItemListener

An implementation of AgendaItemListener in which all methods do nothing.

Constructor Summary
`AgendaItemAdapter()`

Method Summary
`void` | `agendaItemEdited(AgendaItemEvent e)`
`void` | `handlerActionsChanged(AgendaItemEvent e)`
`void` | `newHandlerAction(AgendaItemEvent e, HandlerAction a)`
`void` | `newReport(AgendaItemEvent e, Report report)`
`void` | `priorityChanged(AgendaItemEvent e)`
`void` | `statusChanged(AgendaItemEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgendaItemAdapter

    public AgendaItemAdapter()

Method Detail

### statusChanged

    public void statusChanged(AgendaItemEvent e)

  Specified by:
    `statusChanged` in interface `AgendaItemListener`

### priorityChanged

    public void priorityChanged(AgendaItemEvent e)

  Specified by:
    `priorityChanged` in interface `AgendaItemListener`

### handlerActionsChanged

    public void handlerActionsChanged(AgendaItemEvent e)

  Specified by:
    `handlerActionsChanged` in interface `AgendaItemListener`

### newHandlerAction

    public void newHandlerAction(AgendaItemEvent e,
                                 HandlerAction a)

  Specified by:
    `newHandlerAction` in interface `AgendaItemListener`

### newReport

    public void newReport(AgendaItemEvent e,
                          Report report)

  Specified by:
    `newReport` in interface `AgendaItemListener`

### agendaItemEdited

    public void agendaItemEdited(AgendaItemEvent e)

  Specified by:
    `agendaItemEdited` in interface `AgendaItemListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD